
Java Client - Task #1559

Story # 1551 (Closed): Refactor d1_common_java tests for MultipartRequestHandler

Refactor d1_libclient_java echo tests 

2011-05-13 21:05 - Robert Waltz

Status: New Start date:  

Priority: Low Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

The d1_libclient_java tests in D1ClientUnitTest, D1RestClientEchoTest, and RestClientEchoTest have dependencies upon external

network resources.  We  need to modify tests so that we can inject a HttpClient interface mock implementation that mimics the echo

service on dev-testing and the nodeList on cn-dev rather than, as we are currently doing, testing the apache default HttpClient

implementation that is a dependency of these classes.  

We should also move the current tests into integration testing.

History

#1 - 2011-05-25 15:45 - Dave Vieglais

- Position set to 12

#2 - 2011-05-31 15:21 - Dave Vieglais

- Position set to 5

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3

- Position deleted (17)

#3 - 2011-05-31 16:53 - Matthew Jones

- Category changed from d1_common_java to d1_libclient_java

#4 - 2011-05-31 16:58 - Dave Vieglais

- Position set to 17

- Position deleted (5)

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

#5 - 2011-06-06 17:06 - Rob Nahf

- Target version deleted (Sprint-2011.23-Block.3)

- Position deleted (21)

- Position set to 173

#6 - 2011-06-06 17:07 - Rob Nahf

- Subject changed from Refactor d1_libclient_java tests  to Refactor d1_libclient_java echo tests 

#7 - 2011-08-30 01:59 - Dave Vieglais

- Position deleted (199)

- Position set to 37

#8 - 2011-08-30 02:43 - Dave Vieglais
- Position deleted (49)

- Position set to 37

#9 - 2012-05-17 19:01 - Rob Nahf

- Milestone changed from 2011-Block-3 to CCI-1.1

#10 - 2012-10-08 17:17 - Rob Nahf

- Due date set to 2012-10-27

- Target version set to Sprint-2012.41-Block.6.1

- Milestone changed from CCI-1.1 to None

#11 - 2012-10-16 21:45 - Rob Nahf

- Priority changed from Normal to Low

#12 - 2012-10-24 18:12 - Rob Nahf

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#13 - 2012-12-12 16:58 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

- Due date changed from 2012-11-10 to 2013-01-19

#14 - 2013-03-01 18:55 - Chris Jones

- Due date deleted (2013-01-19)

- Target version deleted (2013.2-Block.1.1)

- Start date deleted (2011-05-11)

#15 - 2013-08-14 18:27 - Robert Waltz

- Parent task set to #3750

#16 - 2014-10-01 16:49 - Robert Waltz

- Parent task changed from #3750 to #1551

- Estimated time set to 0.00

#17 - 2014-10-01 19:41 - Robert Waltz

- Target version set to CCI-2.0.0
